/**
 * 
 */
package org.springblade.datasource.dialect;

import org.springblade.datasource.AbstractGmetryDialect;
import org.springblade.datasource.enums.ColumnTypeEnum;
import org.springblade.datasource.enums.DateFormatEnum;
import org.springblade.datasource.enums.DsTypeEnum;
import org.springblade.datasource.enums.FunctionMethodEnum;
import org.springblade.etl.dto.FileStructure;
import org.springframework.stereotype.Component;

import java.util.Arrays;
import java.util.List;

/**
 * @author wookvn
 *
 */
@Component
public class MongoGmetryDialect extends AbstractGmetryDialect {

	@Override
	public List<String> buildCreateTableSql(String tableName, String tableComment, List<FileStructure> structureList) {
		return null;
	}
	
	@Override
	public DsTypeEnum dsType() {
		return DsTypeEnum.mongo;
	}
	
	@Override
	public String dbEscape(String name) {
		return "`" + name + "`";
	}
}
